[package]
name = "microformats-cli"
description = "A command line tool for parsing HTML as Microformats"
documentation = "https://docs.rs/microformats-cli"
edition.workspace = true
rust-version.workspace = true
license.workspace = true
publish.workspace = true
version = "0.9.0"
include = ["src/bin/**/*.rs", "Cargo.toml"]

[dependencies]
clap = { version = "4.5", features = ["derive"] }
clap-stdin = "0.5"
eyre = "0.6"
microformats = { path = "../library", version = "0" }
serde_json.workspace = true
url.workspace = true

[[bin]]
name = "microformats"
path = "src/bin/cli/mod.rs"

[lints]
workspace = true
